<div style="min-height: 300px;" class="keyword-tab">
  <div class="keyword-tab-options">
    <mat-form-field style="width: 20%; margin-right: 15px;">
      <input matInput placeholder="Filter" (keyup)="applyFilter()" [(ngModel)]="filterString">
    </mat-form-field>
    <div>
      <button mat-button (click)="expandAll()">Expand all</button>
      <button mat-button (click)="collapseAll()">Collapse all</button>
    </div>
  </div>
  <cdk-tree [dataSource]="dataSource" [treeControl]="treeControl" class="keyword-tree">
    <!-- LEAF-NODE -->
    <cdk-tree-node *cdkTreeNodeDef="let node" cdkTreeNodePadding cdkTreeNodeToggle (click)="clickNode(node)"
      class="keyword-node" [class.keyword-node-highlighted]="isSelected(node)"
      [style.display]="shouldRender(node) ? 'flex' : 'none'">
      <div class="keyword-front-div">
        <mat-icon class="mat-icon-rtl-mirror" [style.visibility]="'hidden'">
          {{node.isExpanded ? 'expand_more' : 'chevron_right'}}
        </mat-icon>
        {{node.kwId}}
        {{node.kwAccession}}
      </div>
      <div *ngIf="node.quantification > 0">
        {{node.quantification}}
      </div>
    </cdk-tree-node>
    <!-- CATEGORY-NODE -->
    <cdk-tree-node *cdkTreeNodeDef="let node; when: hasChild && isCategoryNode" cdkTreeNodePadding cdkTreeNodeToggle
      (click)="clickNode(node)" class="keyword-node keyword-category-node"
      [class.keyword-node-highlighted]="isSelected(node)" [style.display]="shouldRender(node) ? 'flex' : 'none'">
      <div class="keyword-front-div">
        <mat-icon class="mat-icon-rtl-mirror">
          {{node.isExpanded ? 'expand_more' : 'chevron_right'}}
        </mat-icon>
        {{node.kwId}}
        {{node.kwAccession}}
      </div>
      <div *ngIf="node.quantification > 0">
        {{node.quantification}}
      </div>
    </cdk-tree-node>
    <!-- NON-CATEGORY NODE WITH CHILD-NODES -->
    <cdk-tree-node *cdkTreeNodeDef="let node; when: hasChild" cdkTreeNodePadding cdkTreeNodeToggle
      (click)="clickNode(node)" class="keyword-node" [class.keyword-node-highlighted]="isSelected(node)"
      [style.display]="shouldRender(node) ? 'flex' : 'none'">
      <div class="keyword-front-div">
        <mat-icon class="mat-icon-rtl-mirror">
          {{node.isExpanded ? 'expand_more' : 'chevron_right'}}
        </mat-icon>
        {{node.kwId}}
        {{node.kwAccession}}
      </div>
      <div *ngIf="node.quantification > 0">
        {{node.quantification}}
      </div>
    </cdk-tree-node>
  </cdk-tree>
</div>
